#include <bits/stdc++.h>

using namespace std;

int main()
{
    string x,y;
    cin >> x >> y;
    string pomocni;
    int duzina;
    if(x.size()> y.size())
    {
        duzina = y.size();
        pomocni = x.substr(0, x.size()-y.size());
        x = x.substr(x.size()-y.size(), x.size());

    }
    else
    {
        duzina = x.size();
        pomocni = y.substr(0, y.size()-x.size());
        y = y.substr(y.size()-x.size(), y.size());
    }

    cout << pomocni ;
    //cout << "x " << x << endl;
    //cout << "y " << y << endl;
    char pomocni1,pomocni2;
    for(int i = 0; i< duzina ; i++)
    {

        pomocni1 = x[i];
        pomocni2 = y[i];

        if(pomocni1 > pomocni2)
        {
            cout << pomocni1;
        }
        else if(pomocni2 > pomocni1)
        {
            cout << pomocni2;
        }
        else
        {
            cout << pomocni1 << pomocni2;
        }
    }
}